%global tarball_version %%(echo %{version} | tr '~' '.')

Name:	       yelp-xsl
Version:	   42.1
Release:	   1
Summary:	   XSL stylesheets for the yelp help browser
License:	   LGPLv2+ and GPLv2+
URL:	       https://wiki.gnome.org/Apps/Yelp
Source0:	   https://download.gnome.org/sources/%{name}/42/%{name}-%{tarball_version}.tar.xz

BuildArch:      noarch
BuildRequires:  gcc
BuildRequires:  itstool
BuildRequires:  make
BuildRequires:  python3-libxml2
BuildRequires:  /usr/bin/ducktype
BuildRequires:  /usr/bin/xmllint
BuildRequires:  /usr/bin/xsltproc

%description
This package contains XSL stylesheets that are used by the yelp help browser.

%package devel
Summary: Developer documentation for yelp-xsl
Requires: %{name} = %{version}-%{release}

%description devel
The yelp-xsl-devel package contains developer documentation for the
XSL stylesheets in yelp-xsl.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%configure --enable-doc
%make_build

%install
%make_install

%files
%doc AUTHORS README.md
%license COPYING COPYING.GPL COPYING.LGPL
%{_datadir}/yelp-xsl

%files devel
%{_datadir}/pkgconfig/yelp-xsl.pc

%changelog
* Wed Nov 9 2022 hkgy <kaguyahatu@outlook.com> - 42.1-1
- Upgrade to v42.1

* Wed Apr 20 2022 dillon chen <dillon.chen@gmail.com> - 42.0-1
- Update to 42.0

* Wed May 19 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.3-1
- Upgrade to 3.38.3
- Update License and BuildRequires

* Fri Jan 29 2021 jinzhimin <jinzhimin2@huawei.com> - 3.38.2-1
- Upgrade to 3.38.2

* Mon Sep 7 2020 zhanzhimin <zhanzhimin@huawei.com> - 3.36.0-2
- Update Source0

* Mon Jul 20 2020 chengguipeng<chengguipeng1@huawei.com> 3.36.0-1
- Upgrade to 3.36.0-1

* Fri Oct 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.34.0-1
- Package init
